AsterNet Class Library (Sandcastle documentation)

| TDDModeCommand Class

Enable/Disable TDD transmission/reception on a channel.
Returns 1 if successful, or 0 if channel is not TDD-capable.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
TDDModeCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class TDDModeCommand : AGICommand

    Public Class TDDModeCommand
    	Inherits AGICommand

    public ref class TDDModeCommand : public AGICommand

    type TDDModeCommand =
        class
            inherit AGICommand
        end

The TDDModeCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| TDDModeCommand | Creates a new TDDModeCommand. The mode to set, this can be one of "on", "off", "mate" or "tdd".

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Mode | Get the mode to set.
| Timeout | Sets the mode to set. The mode to set, this can be one of "on", "off", "mate" or "tdd".

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace